This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 505762 - file does not identify properly some pfa files shipped with ghostscript
file does not identify properly some pfa files shipped with ghostscript
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-06-13 11:35 EDT by Nicolas Mailhot
Modified: 2009-06-16 06:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-16 06:31:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
a patch (966 bytes, patch)
2009-06-16 06:21 EDT, Daniel Novotny
no flags Details | Diff

  None (edit)
Description Nicolas Mailhot 2009-06-13 11:35:57 EDT
Description of problem:

file thinks the pfa files in ghostscript-fonts-5.50-22.fc12.noarch.rpm are "PostScript document text" (for example  hrscc.pfa)

They should be identified as "PostScript Type 1 font text"

Version-Release number of selected component (if applicable):

file-5.03-2.fc12.x86_64
Comment 1 Nicolas Mailhot 2009-06-13 11:49:28 EDT
Full list

 ./usr/share/fonts/default/ghostscript/hrger.pfa	PostScript document text	ghostscript-fonts-5.50-22.fc12.noarch.rpm
 ./usr/share/fonts/default/ghostscript/hrgrr.pfa	PostScript document text	ghostscript-fonts-5.50-22.fc12.noarch.rpm
 ./usr/share/fonts/default/ghostscript/hritr.pfa	PostScript document text	ghostscript-fonts-5.50-22.fc12.noarch.rpm
 ./usr/share/fonts/default/ghostscript/hrpld.pfa	PostScript document text	ghostscript-fonts-5.50-22.fc12.noarch.rpm
 ./usr/share/fonts/default/ghostscript/hrpldi.pfa	PostScript document text	ghostscript-fonts-5.50-22.fc12.noarch.rpm
 ./usr/share/fonts/default/ghostscript/hrplt.pfa	PostScript document text	ghostscript-fonts-5.50-22.fc12.noarch.rpm
 ./usr/share/fonts/default/ghostscript/hrplti.pfa	PostScript document text	ghostscript-fonts-5.50-22.fc12.noarch.rpm
 ./usr/share/fonts/default/ghostscript/hrscc.pfa	PostScript document text	ghostscript-fonts-5.50-22.fc12.noarch.rpm
 ./usr/share/fonts/default/ghostscript/hrscs.pfa	PostScript document text	ghostscript-fonts-5.50-22.fc12.noarch.rpm
Comment 2 Daniel Novotny 2009-06-16 06:21:24 EDT
Created attachment 348077 [details]
a patch

added magic
Comment 3 Daniel Novotny 2009-06-16 06:31:52 EDT
fixed in file-5.03-4.fc12

Note You need to log in before you can comment on or make changes to this bug.